'From Squeak3.4alpha of ''11 November 2002'' [latest update: #5109] on 18 November 2002 at 3:05:04 pm'!

!Preferences class methodsFor: 'fonts'!
setListFontTo: aFont
	"Set the list font as indicated"

	Parameters at: #standardListFont put: aFont.
	ListParagraph initialize.
	Flaps replaceToolsFlap.
	PluggableListMorph allSubInstancesDo: [:each| each font: aFont].! !

!Preferences class methodsFor: 'fonts'!
setSystemFontTo: aFont
	"Establish the default text font and style"

	| aStyle newDefaultStyle |
	aFont ifNil: [^ self].
	aStyle _ aFont textStyle ifNil: [^ self].
	newDefaultStyle _ aStyle copy.
	newDefaultStyle defaultFontIndex: (aStyle fontIndexOf: aFont).
	TextConstants at: #DefaultTextStyle put: newDefaultStyle.
	Flaps replaceToolsFlap.
	ScriptingSystem resetStandardPartsBin.
	PluggableTextMorph allSubInstancesDo: [:each| each font: aFont].! !

!Preferences class methodsFor: 'fonts'!
setWindowTitleFontTo: aFont
	"Set the window-title font to be as indicated"

	Parameters at: #windowTitleFont put: aFont.
	StandardSystemView setLabelStyle.
	SystemWindow allSubInstancesDo: [:each|each getRawLabel font: (aFont emphasis: 1)].

	Flaps replaceToolsFlap.! !

